*NOTES:
* 1.  The formate abbreviation is now "formate" rather than "for" since for is a command recognized by gams
* 2.  The abbreviations for adphep-D,D and adphep-L,D have been change to adphep-DD and adphep-LD
* 3.  External metabolites are now designated with a "_e" at the end rather than a "[e]" (eg. formate_e)
* 4.  Exchange reactions are now abbreviated with a "_e" at the end rather than a "(e)"
* 5.  Reaction abbreviation for NAt3_1.5 changed to NAt3_15
* 6.  The linear program is set to simulate AEROBIC growth on GLUCOSE MINIMAL MEDIA, with a maximum glucose and oxygen uptake rate set of 10 and 20 respectively (see Genome Biology paper for discussion on limiting uptake rates).

$offlisting
$offdigit

Sets
        j columns in B (n)
         /v1*v13,vbio,EX_A_e,EX_C_e,EX_G_e,Ex_I_e/
        i metabolites in S (m)
         /A_e,A,B,C_e,C,D,E,F,G_e,G,H,I_e,I/;

Parameters
  Vmax /1000/
  UpperLimits(j) maximum value flux can take
  LowerLimits(j) minimum value a flux can take
    /(v9) -1000/
  S(i,j) contains the S matrix
  /
         A_e.v1           -1
         A.v1              1
         A.v2             -1
         B.v2              1
         A.v3             -1
         D.v3              1
         B.v4             -1
         C.v4              1
         D.v5             -1
         E.v5              1
         C.v6             -1
         C_e.v6            1
         C.v7             -1
         F.v7              1
         E.v8             -1
         F.v8              1
         E.v9             -1
         G.v9              1
         G_e.v10          -1
         G.v10             1
         G.v11            -1
         H.v11             1
         F.vbio           -1
         H.vbio           -1
         I_e.v12          -1
         I.v12             1
         I.v13            -1
         D.v13             1
         A_e.EX_A_e       -1
         C_e.EX_C_e       -1
         G_e.EX_G_e       -1
         I_e.EX_I_e       -1
  /;

Sets
exch(j) /EX_A_e,EX_C_e,EX_G_e/
direction /forward,reverse/
;

