*********************************************************
*User Options Section 2: Sets, Penalties and Limitations*
*********************************************************

***********EDIT PROBLEM SETTINGS HERE**************
Parameters
maxKnockouts     maximum number of knockouts /5/
minKnockouts     minimum number of knockouts /0/
maxCarbon        maximum number of carbon sources /1/
maxNitrogen      maximum number of nitrogen sources /1/
maxAcceptors     maximum number of acceptors /1/
maxAuxotrophs    maximum number of auxotroph metabolites /1/
deletionPenalty  size of Deletion penalty (0 <= penalty <= 1) /1/
auxotrophPenalty size of Auxotroph penalty (0 <= penalty < 1.0) /0.25/
epsilon          Condition for cellular growth /0.01/;

Sets
$onempty
minimalCarbon(j)         Carbon source to be used for pruning search
                         /Ex_A_e/
minimalNitrogen(j)       Nitrogen source to be used for pruning search
                         /EX_I_e/
minimalAcceptors(j)      Electron Acceptor to be used for pruning search
                         /EX_G_e/
fullCarbon(j)            Subset of carbon source media available
                         /Ex_A_e/
fullNitrogen(j)          Subset of nitrogen sources available
                         /EX_I_e/
fullAcceptors(j)         Subset of electron acceptors available
                         /EX_G_e/
Auxotrophs(j)            Subset of metabolites for auxotrophic scenarios
                         //
Essential(j)             Set of essential items in minimal media
                         //
EssentialGenes(g)        List of Essential Genes
                         /g7,g11/
Tests /01/
$offempty
;
